%global plugin_name     vnsiserver

Name:           vdr-vnsiserver
Version:        1.2.0
Release:        1%{?dist}
Summary:        VDR plugin to handle XBMC clients via VNSI
Group:          Applications/Multimedia
License:        GPLv2+
URL:            https://github.com/FernetMenta/vdr-plugin-vnsiserver

Source:         https://github.com/FernetMenta/vdr-plugin-vnsiserver/archive/v%{version}.tar.gz

Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}
Conflicts:      vdr-vnsiserver3
BuildRequires:  vdr-devel >= 1.5.9

%description
VDR plugin to handle XBMC clients. It is needed to use XBMC as a frontend and
VDR as a backend. With the plugin it is possible to get TV and PVR
functionality from a VDR into a XBMC. It is able to handle several XBMC
clients connecting via the VNSI add-on.

In XBMC you need the PVR add-on "xbmc-pvr-vdr-vnsi" to connect XBMC
with a VDR running this plugin.

See http://wiki.xbmc.org/index.php?title=VDR for more information.

%prep
%setup -q -n vdr-plugin-vnsiserver-%{version}

%build
make %{?_smp_mflags} CFLAGS="-fPIC %optflags" CXXFLAGS="-fPIC %{optflags}"

%install
%make_install
install -dm 755 %{buildroot}%{vdr_configdir}/plugins/%{plugin_name}
install -Dpm 644 %{plugin_name}/* %{buildroot}%{vdr_configdir}/plugins/%{plugin_name}/

%files
%doc COPYING 
%doc HISTORY
%doc README

%dir %{vdr_configdir}/plugins/%{plugin_name}
%config(noreplace) %{vdr_configdir}/plugins/%{plugin_name}/*
%{vdr_plugindir}/libvdr-%{plugin_name}.so.%{vdr_apiversion}

%changelog
* Sun Sep 14 2014 Dr. Tilmann Bubeck <tilmann@bubecks.de> - 1.2.0-1
- Update to 1.2.0
- Changed package to use version tags instead of git hash

* Tue May 20 2014 Dr. Tilmann Bubeck <tilmann@bubecks.de> - 1.1.0-2
- Added "Conflicts" to spec file

* Mon May 19 2014 Dr. Tilmann Bubeck <tilmann@bubecks.de> - 1.1.0-1
- Update to upstreams version 1.1.0, which uses VNSI protocol in
  version 5 which is compatible with XBMC 13.
- initial built for Fedora

